com.holonplatform.vaadin.flow.components.builders

## Interface OptionsMultiSelectConfigurator<T,ITEM,B extends OptionsMultiSelectConfigurator<T,ITEM,B>>

- Type Parameters:
    `T` - Value type
    `ITEM` - Item type
    `B` - Concrete builder type
  All Superinterfaces:
    ComponentConfigurator<B>, DeferrableLocalizationConfigurator<B>, HasDeferrableLocalization, HasElementConfigurator<B>, HasEnabledConfigurator<B>, HasItemCaptionConfigurator<ITEM,B>, HasItemEnableConfigurator<ITEM,B>, HasLabelConfigurator<B>, HasStyleConfigurator<B>, InputConfigurator<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,B>, ItemSetConfigurator<B>, MultiSelectableInputConfigurator<T,ITEM,B>, SelectableInputConfigurator<Set<T>,T,B>
  All Known Subinterfaces:
    OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D,C>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>, OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>

      public interface OptionsMultiSelectConfigurator<T,ITEM,B extends OptionsMultiSelectConfigurator<T,ITEM,B>>
      extends MultiSelectableInputConfigurator<T,ITEM,B>, HasLabelConfigurator<B>, HasItemEnableConfigurator<ITEM,B>

  `MultiSelect` input builder using a `CheckboxGroup` as input component.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>` Options `MultiSelect` input builder with `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C extends OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C>>` Options `MultiSelect` input configurator with `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>` `Property` model based options `MultiSelect` input builder with `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C extends OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C>>` `Property` model based options `MultiSelect` input configurator with `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>` Options `MultiSelect` input builder.
    `static interface` | `OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D,C>>` Options `MultiSelect` input configurator.
    `static interface` | `OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>` `Property` model based options `MultiSelect` input builder.
    `static interface` | `OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>>` `Property` model based options `MultiSelect` input configurator.
    `static interface` | `OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>` Options `MultiSelect` input builder with validation and `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>` `Property` model based options `MultiSelect` input builder with validation and `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>` Options `MultiSelect` input builder with validation support.
    `static interface` | `OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>` `Property` model based options `MultiSelect` input builder with validation support.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,T>` | `create(Class<T> type)` Get a new `OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder` to create a `MultiSelect` which uses a `CheckboxGroup` as input component.
    `static <T,ITEM> OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>` | `create(Class<T> type, Class<ITEM> itemType, ItemConverter<T,ITEM> itemConverter)` Get a new `OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder` to create a `MultiSelect` which uses a `CheckboxGroup` as input component.
    `static <T> OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>` | `create(com.holonplatform.core.property.Property<T> selectionProperty)` Get a new `OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder` to create a `Property` model based `MultiSelect`, which uses a `CheckboxGroup` as input component.
    `static <T> OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>` | `create(com.holonplatform.core.property.Property<T> selectionProperty, Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)` Get a new `OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder` to create a `Property` model based `MultiSelect`, which uses a `CheckboxGroup` as input component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.MultiSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

- - ### Method Detail

    - #### create

          static <T,ITEM> OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM> create(Class<T> type,
                                                                                                       Class<ITEM> itemType,
                                                                                                       ItemConverter<T,ITEM> itemConverter)

      Get a new `OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder` to create a `MultiSelect` which uses a `CheckboxGroup` as input component.
      Type Parameters:
        `T` - Value type
        `ITEM` - Item type
      Parameters:
        `type` - Selection value type (not null)
        `itemType` - Selection items type (not null)
        `itemConverter` - The item converter to use (not null)
      Returns:
        A new `OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder`

    - #### create

          static <T> OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,T> create(Class<T> type)

      Get a new `OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder` to create a `MultiSelect` which uses a `CheckboxGroup` as input component.
      Type Parameters:
        `T` - Value type
      Parameters:
        `type` - Selection value type (not null)
      Returns:
        A new `OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder`

    - #### create

          static <T> OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T> create(com.holonplatform.core.property.Property<T> selectionProperty)

      Get a new `OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder` to create a `Property` model based `MultiSelect`, which uses a `CheckboxGroup` as input component.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
      Returns:
        A new `OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder`

    - #### create

          static <T> OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T> create(com.holonplatform.core.property.Property<T> selectionProperty,
                                                                                                     Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)

      Get a new `OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder` to create a `Property` model based `MultiSelect`, which uses a `CheckboxGroup` as input component.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
        `itemConverter` - The function to use to convert a selection value into the corresponding `PropertyBox` item
      Returns:
        A new `OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.